SimpleAuthorizationHandler (Axis API)
Keywords: org.apache.axis.handlers.SimpleAuthorizationHandler class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.handlers
Class SimpleAuthorizationHandler

    java.lang.Object
      org.apache.axis.handlers.BasicHandler
          org.apache.axis.handlers.SimpleAuthorizationHandler

All Implemented Interfaces:
  Handler, java.io.Serializable

public class SimpleAuthorizationHandler
extends BasicHandler

Just a simple Authorization Handler to see if the user specified in the Bag in the MessageContext is allowed to preform this action. Look at the `allowedRoles` handler parameter to determine if user has rights to access the service The `allowByDefault` handler parameter can be used to authorize all users if the parameter is set to true and the `allowedRoles` access control list is not specified. Replace this with your 'real' Authorization code.

Author:
  Doug Davis (dug@us.ibm.com), Sam Ruby (rubys@us.ibm.com)
See Also:
  Serialized Form

Field Summary
`protected static org.apache.commons.logging.Log` | `log`

Fields inherited from class org.apache.axis.handlers.BasicHandler
`makeLockable, name, options`

Constructor Summary
`SimpleAuthorizationHandler()`

Method Summary
`void` | `invoke(MessageContext msgContext)` Authorize the user and targetService from the msgContext
`void` | `onFault(MessageContext msgContext)` Nothing to undo

Methods inherited from class org.apache.axis.handlers.BasicHandler
`canHandleBlock, cleanup, generateWSDL, getDeploymentData, getName, getOption, getOptions, getUnderstoodHeaders, init, initHashtable, setName, setOption, setOptionDefault, setOptions, setOptionsLockable`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    protected static org.apache.commons.logging.Log log

Constructor Detail

### SimpleAuthorizationHandler

    public SimpleAuthorizationHandler()

Method Detail

### invoke

    public void invoke(MessageContext msgContext)
                throws AxisFault

  Authorize the user and targetService from the msgContext

  Parameters:
    `msgContext` - the `MessageContext` to process with this `Handler`.
  Throws:
    `AxisFault` - if the handler encounters an error

### onFault

    public void onFault(MessageContext msgContext)

  Nothing to undo

  Specified by:
    `onFault` in interface `Handler`
  Overrides:
    `onFault` in class `BasicHandler`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 Apache Web Services Project. All Rights Reserved.